classification
Title: NNTPS support in nntplib
Type: Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: janssen Nosy List: aurojit, georg.brandl, janssen
Priority: low Keywords: patch

Created on 2006-08-07 01:20 by aurojit, last changed 2007-09-12 17:46 by janssen. This issue is now closed.

Files
File name Uploaded Description Edit
patch aurojit, 2006-08-07 02:34
Messages (4)
msg50844 - (view) Author: Aurojit Panda (aurojit) Date: 2006-08-07 01:20
This patch adds SSL support for nntplib, since it
really isn't that simple to just extend the class and
add such support, and there are plenty of NNTP servers
out there which can only be accessed over SSL. Should
be backwards compatible with nntplib, and has been
tested to be as such. Of course this library faces
limitations on how well it can authenticate SSL
certificates due to current limitations (as of 2.4) in
socket.ssl, no new additions seem to have been made in
2.5, at least none are listed
msg50845 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-03-07 00:59
This patch lacks documentation changes. Also, "self.ssl" doesn't seem to get set when usessl is False, so this will result in an AttributeError in the two changed methods.
msg55416 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-29 06:15
I'll take a look at this.
msg55847 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-09-12 17:46
Georg got it right -- this patch is bogus.  I'm going to close it as 
"won't fix".  Feel free to re-open it as an RFE with a good patch.
History
Date User Action Args
2007-09-12 17:46:46janssensetstatus: open -> closed
resolution: wont fix
messages: + msg55847
2007-08-29 06:15:24janssensetassignee: janssen
messages: + msg55416
nosy: + janssen
2006-08-07 01:20:52aurojitcreate